MPD

- Main Page
- Data Structures
- Files

- File List
- Globals

Defines | Functions

# src/utils.h File Reference

`#include <stdbool.h>`

Go to the source code of this file.

## Defines
#define | assert_static(e)
## Functions
char * | parsePath (char *path)
bool | string_array_contains (const char *const *haystack, const char *needle)
| Checks whether a string array contains the specified string.

## Define Documentation

#define assert_static | ( |  | e | ) |

Value:

    do { \
                    enum { assert_static__ = 1/(e) }; \
            } while (0)

Definition at line 28 of file utils.h.

## Function Documentation

char* parsePath | ( | char * | path | ) |

bool string_array_contains | ( | const char *const * | haystack,
|  | const char * | needle
| ) |  |

Checks whether a string array contains the specified string.

Parameters:

  haystack | a NULL terminated list of strings
  needle | the string to search for; the comparison is case-insensitive for ASCII characters

Returns:
  true if found